Subject: Re: bug#22229: Error when running script from directory with non-ASCII characters

From: Vicente Vera <[email-masked]>
Date: Thu, 11 Aug 2016 14:53:25 -0300

Hello. Thanks for your reply.

Executing the script with GUILE_INSTALL_LOCALE=1 works as expected.

2016-08-07 7:07 GMT-04:00 Andy Wingo <[email-masked]>:
> On Thu 24 Dec 2015 02:46, Vicente Vera <[email-masked]> writes:
>
>> Guile chokes when running a .scm script from a directory with
>> non-ASCII characters.
>>
>> A simple test script:
>>
>> -------------------
>> #!/usr/bin/guile -s
>> !#
>> ;; coding: utf-8
>> (display "hey")
>> (newline)
>> -------------------
>>
>> $ cd ~/código/
>> $ ./test.scm
>> ;;; Stat of /home/me/c??digo/./test.scm failed:
>> ;;; ERROR: In procedure stat: No such file or directory:
>
> Weird :)
>
> It's fixed in Guile 2.2 because Guile 2.2 installs the locale
> automatically; see GUILE_INSTALL_LOCALE here:
>
>   https://www.gnu.org/software/guile/manual/html_node/Environment-Variables.html
>
> I don't know what to do about Guile 2.0 though.  And of course it's
> possible even with Guile 2.2 to be in a directory whose name is not
> valid in the current encoding.
>
> Though I would like to fix it nicely, I suspect that given the proximity
> of 2.2.0, we'll just punt on 2.0 :(  A bit frustrating though.
>
> Andy